Bug 73293 - kbd: some compose combinations missing
kbd: some compose combinations missing
Status: CLOSED DEFERRED
Product: Red Hat Raw Hide
Classification: Retired
Component: kbd (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-02 12:11 EDT by Moritz Barsnick
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-14 12:29:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2002-09-02 12:11:40 EDT
Description of Problem:

When using a keymap which includes "compose.latin1", some compose
combinations don't work, such as 'a"' (all vowels).

Version-Release number of selected component (if applicable):
kbd-1.06-23

How Reproducible:
Always

Steps to Reproduce:
1. loadkeys de-latin-nodeadkeys.map
2. Type the selected compose key (Alt+AltGr), then 'a', then '"'

Actual Results:
Console shows 'a"'

Expected Results:
Console shows 'd' (a-Umlaut)

Additional Information:
In many X11 compose keymaps, the order of the composed characters
is irrelevant, i.e. 'a"' is equivilant to '"a' (and even more common to
use). kbd supportst he latter, but not the former. Compare
/usr/X11R6/lib/X11/locale/iso8859-1/Compose .
Comment 1 Eido Inoue 2003-01-05 21:51:29 EST
so your bug is that compose only accepts one combination, and you want both
combinations to be accepted?
Comment 2 Moritz Barsnick 2003-01-13 06:13:18 EST
Indeed, I expect the same behavior as under X11, as this is where this method
is derived from (as far as I'm aware), and many people are used to those key 
combinations.

Perhaps an automatic conversion / adaptation from
usr/X11R6/lib/X11/locale/iso8859-1/Compose may be possible.

Thanks,
Moritz
Comment 3 Eido Inoue 2003-07-14 12:29:28 EDT
non-ASCII input into the console won't be supported on UTF-8 based systems (RHL
8+) until the kernel supports it. See the release notes in the next beta for
more info. Of course, input through X will always be supported.

Note You need to log in before you can comment on or make changes to this bug.